Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.lcdui
Class Displayable

    java.lang.Object
      javax.microedition.lcdui.Displayable

Direct Known Subclasses:
  Screen

    public class Displayable

extends Object

Author:
  Andre Nijholt

Field Summary
`protected CommandListener` | `cmdListener`
`protected ArrayList` | `commands`
`protected int` | `height`
`static int` | `KEY_BACK`
`static int` | `KEY_ENTER`
`static int` | `KEY_LEFT`
`static int` | `KEY_RIGHT`
`protected boolean` | `shown`
`protected Ticker` | `ticker`
`protected String` | `title`
`protected int` | `width`

Constructor Summary
`Displayable()`

Method Summary
`void` | `addCommand(Command cmd)`
`protected void` | `callCommandListener()`
`void` | `clearPaintRequest()`
`int` | `getHeight()`
`boolean` | `getPaintRequest()`
`Ticker` | `getTicker()`
`String` | `getTitle()`
`int` | `getWidth()`
`boolean` | `isShown()`
`void` | `removeCommand(Command cmd)`
`void` | `repaint()`
`void` | `setCommandListener(CommandListener l)`
`void` | `setTicker(int ticker)`
`void` | `setTicker(Ticker ticker)`
`void` | `setTitle(String s)`
`protected void` | `sizeChanged(int w, int h)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Field Detail

### KEY_LEFT

    public static final int KEY_LEFT

See Also:
  Constant Field Values

### KEY_ENTER

    public static final int KEY_ENTER

See Also:
  Constant Field Values

### KEY_RIGHT

    public static final int KEY_RIGHT

See Also:
  Constant Field Values

### KEY_BACK

    public static final int KEY_BACK

See Also:
  Constant Field Values

### commands

    protected ArrayList commands

### cmdListener

    protected CommandListener cmdListener

### ticker

    protected Ticker ticker

### title

    protected String title

### height

    protected int height

### width

    protected int width

### shown

    protected boolean shown

Constructor Detail

### Displayable

    public Displayable()

Method Detail

### getHeight

    public int getHeight()

### setTicker

    public void setTicker(Ticker ticker)

### getTicker

    public Ticker getTicker()

### getTitle

    public String getTitle()

### getWidth

    public int getWidth()

### isShown

    public boolean isShown()

### addCommand

    public void addCommand(Command cmd)

### removeCommand

    public void removeCommand(Command cmd)

### setCommandListener

    public void setCommandListener(CommandListener l)

### callCommandListener

    protected void callCommandListener()

### setTicker

    public void setTicker(int ticker)

### setTitle

    public void setTitle(String s)

### sizeChanged

    protected void sizeChanged(int w,
                               int h)

### getPaintRequest

    public boolean getPaintRequest()

### clearPaintRequest

    public void clearPaintRequest()

### repaint

    public void repaint()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD